SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[UserRole]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[UserRole](
	[UserRoleId] [int] IDENTITY(1,1) NOT NULL,
	[UserRoleGuid] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](32) COLLATE Latin1_General_CI_AS NOT NULL,
	[CanSubmitReviewRequest] [bit] NOT NULL,
 CONSTRAINT [PK_UserRole] PRIMARY KEY CLUSTERED 
(
	[UserRoleId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_UserRole_UserRoleGuid]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[UserRole] ADD  CONSTRAINT [DF_UserRole_UserRoleGuid]  DEFAULT (newid()) FOR [UserRoleGuid]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_UserRole_CanSubmitReviewRequest]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[UserRole] ADD  CONSTRAINT [DF_UserRole_CanSubmitReviewRequest]  DEFAULT ((0)) FOR [CanSubmitReviewRequest]
END

GO
