﻿namespace Galatea.Web.Models
{
    using System;
    using System.ComponentModel.DataAnnotations;

    public class RegisterUserViewModel
    {
        [Display(Name = "Email Address", Order= 0, Prompt = "Please enter your email address")]
        [Required]
        public String EmailAddress { get; set; }

        [Display(Name = "Password", Order = 10, Prompt = "Please enter a password")]
        [Required]
        public String Password { get; set; }

        [Display(Name = "Localization", Order = 20, Prompt = "Please select a localization")]
        [Required]
        public String CultureCode { get; set; }
    }
}