﻿namespace Galatea.Services.TransportObjects
{
    using System;
    using System.Xml.Serialization;

    [XmlRoot("Project")]
    public class RevisionSTO
    {
        /// <summary>
        /// Gets or sets the unique idenfitier of the reviewer.
        /// </summary>
        [XmlElement]
        public Guid ReviewerGuid { get; set; }

        /// <summary>
        /// Gets or sets the revision comments.
        /// </summary>
        [XmlElement]
        public String Comment { get; set; }

        /// <summary>
        /// Gets or sets the revised content.
        /// </summary>
        [XmlElement]
        public String RevisedContent { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; time on which the revision was submitted.
        /// </summary>
        [XmlElement]
        public DateTimeOffset DateSubmittedUtc { get; set; }
    }
}
