﻿namespace Galatea.Data
{
    using System;

    public class DataGatewayFactory : IGalateaDataGatewayFactory
    {
        public DataGatewayFactory()
        {
            this.DataContext = new GalateaDataContext();
        }

        private GalateaDataContext DataContext { get; set; }

        public IUserDataGateway GetUserDataGateway()
        {
            return new UserDataGateway(this.DataContext);
        }

        public IProjectDataGateway GetProjectDataGateway()
        {
            throw new NotImplementedException();
        }

        public IReviewDataGateway GetReviewDataGateway()
        {
            throw new NotImplementedException();
        }
    }
}