﻿namespace Galatea.Data.Entities.Maps
{
    using AutoMapper;
    using Bootstrap.AutoMapper;
    using Galatea.Data.TransportObjects;

    internal class UserEntityMap : IMapCreator
    {
        public void CreateMap(IProfileExpression mapper)
        {
            mapper.CreateMap<UserDTO, User>();
            mapper.CreateMap<User, UserDTO>();
        }
    }
}